# AP4_TkhdAtom Class Reference

`#include <Ap4TkhdAtom.h>`

Inheritance diagram for AP4_TkhdAtom:

List of all members.

## Public Member Functions
| AP4_TkhdAtom (AP4_UI32 creation_time, AP4_UI32 modification_time, AP4_UI32 track_id, AP4_UI32 duration, AP4_UI16 volume, AP4_UI32 width, AP4_UI32 height)
virtual AP4_Result | InspectFields (AP4_AtomInspector &inspector)
virtual AP4_Result | WriteFields (AP4_ByteStream &stream)
AP4_UI32 | GetDuration ()
AP4_Result | SetDuration (AP4_UI32 duration)
AP4_UI32 | GetTrackId ()
AP4_Result | SetTrackId (AP4_UI32 track_id)
void | GetTranslation (float &x, float &y)
AP4_UI32 | GetWidth ()
AP4_UI32 | GetHeight ()
## Static Public Member Functions
static AP4_TkhdAtom * | Create (AP4_Size size, AP4_ByteStream &stream)

## Detailed Description

Definition at line 49 of file Ap4TkhdAtom.h.

## Constructor & Destructor Documentation

AP4_TkhdAtom::AP4_TkhdAtom | ( | AP4_UI32 | creation_time,
|  | AP4_UI32 | modification_time,
|  | AP4_UI32 | track_id,
|  | AP4_UI32 | duration,
|  | AP4_UI16 | volume,
|  | AP4_UI32 | width,
|  | AP4_UI32 | height |
| ) |  |  |

## Member Function Documentation

static AP4_TkhdAtom* AP4_TkhdAtom::Create | ( | AP4_Size | size,
|  | AP4_ByteStream & | stream |
| ) |  |  | `[static]`

virtual AP4_Result AP4_TkhdAtom::InspectFields | ( | AP4_AtomInspector & | inspector | ) | `[virtual]`

Reimplemented from AP4_Atom.

virtual AP4_Result AP4_TkhdAtom::WriteFields | ( | AP4_ByteStream & | stream | ) | `[virtual]`

Implements AP4_Atom.

AP4_UI32 AP4_TkhdAtom::GetDuration | ( |  | ) | `[inline]`

Definition at line 66 of file Ap4TkhdAtom.h.

AP4_Result AP4_TkhdAtom::SetDuration | ( | AP4_UI32 | duration | ) | `[inline]`

Definition at line 67 of file Ap4TkhdAtom.h.

References AP4_SUCCESS.

AP4_UI32 AP4_TkhdAtom::GetTrackId | ( |  | ) | `[inline]`

Definition at line 71 of file Ap4TkhdAtom.h.

Referenced by AP4_TrakAtom::GetId().

AP4_Result AP4_TkhdAtom::SetTrackId | ( | AP4_UI32 | track_id | ) | `[inline]`

Definition at line 72 of file Ap4TkhdAtom.h.

References AP4_SUCCESS.

Referenced by AP4_TrakAtom::SetId().

void AP4_TkhdAtom::GetTranslation | ( | float & | x,
|  | float & | y |
| ) |  |  | `[inline]`

Definition at line 77 of file Ap4TkhdAtom.h.

AP4_UI32 AP4_TkhdAtom::GetWidth | ( |  | ) | `[inline]`

Definition at line 82 of file Ap4TkhdAtom.h.

AP4_UI32 AP4_TkhdAtom::GetHeight | ( |  | ) | `[inline]`

Definition at line 83 of file Ap4TkhdAtom.h.

The documentation for this class was generated from the following file:

- Ap4TkhdAtom.h